#ifndef FLX_FIFO_OPS_H
#define FLX_FIFO_OPS_H


#define HOST_ADDR_SEND 0x00
#define HOST_ADDR_RECV 0x04
#define HOST_ADDR_STATUS 0x8

#define TARGET_ADDR_SEND 0x0C
#define TARGET_ADDR_RECV 0x10
#define TARGET_ADDR_STATUS 0x14

#define MAGIC_REG 0x18

#define HAS_ROOM_FOR_BLOCK 3
#define HAS_ROOM_FOR_WORD 2
#define BLOCK_AVAILABLE 1
#define WORD_AVAILABLE 0

#define FLX_DEV_MAGIC	0xCECABABAUL

#endif